oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions related to download, Installation and licensing for Intel oneAPI Toolkits and software development tools.

apt package repo having issues.

whatheway
New Contributor I
551 Views
workhorse@workhorse-MS-7D91:~/Desktop$ sudo apt update
[sudo] password for workhorse: 
Hit:1 http://us.archive.ubuntu.com/ubuntu jammy InRelease
Get:2 http://us.archive.ubuntu.com/ubuntu jammy-updates InRelease [119 kB]     
Get:3 http://security.ubuntu.com/ubuntu jammy-security InRelease [110 kB]      
Hit:4 https://dl.google.com/linux/chrome/deb stable InRelease                  
Hit:5 https://repo.steampowered.com/steam stable InRelease                     
Get:6 http://us.archive.ubuntu.com/ubuntu jammy-backports InRelease [108 kB]   
Get:7 http://security.ubuntu.com/ubuntu jammy-security/main amd64 DEP-11 Metadata [41.4 kB]
Get:8 http://us.archive.ubuntu.com/ubuntu jammy-updates/main amd64 DEP-11 Metadata [102 kB]
Hit:9 https://apt.repos.intel.com/oneapi all InRelease                         
Get:10 http://us.archive.ubuntu.com/ubuntu jammy-updates/universe amd64 DEP-11 Metadata [269 kB]
Get:11 http://security.ubuntu.com/ubuntu jammy-security/universe amd64 DEP-11 Metadata [18.5 kB]
Get:12 http://us.archive.ubuntu.com/ubuntu jammy-updates/multiverse amd64 DEP-11 Metadata [940 B]
Get:13 http://us.archive.ubuntu.com/ubuntu jammy-backports/main amd64 DEP-11 Metadata [8,012 B]
Get:14 http://us.archive.ubuntu.com/ubuntu jammy-backports/universe amd64 DEP-11 Metadata [12.9 kB]
Fetched 789 kB in 1s (844 kB/s)                                         
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
1 package can be upgraded. Run 'apt list --upgradable' to see it.
workhorse@workhorse-MS-7D91:~/Desktop$ sudo apt upgrade -y
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Calculating upgrade... Done
Get more security updates through Ubuntu Pro with 'esm-apps' enabled:
  python2.7-minimal libpostproc55 libavcodec58 libpython2.7 libavutil56
  libswscale5 libswresample3 libavformat58 python2.7-dev libpython2.7-dev
  python2.7 libpython2.7-minimal libpython2.7-stdlib libavfilter7
Learn more about Ubuntu Pro at https://ubuntu.com/pro
The following packages will be upgraded:
  intel-oneapi-neural-compressor
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 83.7 MB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 https://apt.repos.intel.com/oneapi all/main amd64 intel-oneapi-neural-compressor amd64 2.1.0-48866 [83.7 MB]
Fetched 83.7 MB in 4s (22.4 MB/s)                         
(Reading database ... 271089 files and directories currently installed.)
Preparing to unpack .../intel-oneapi-neural-compressor_2.1.0-48866_amd64.deb ...
ONEAPI_PATH:/opt/intel/oneapi/neural-compressor/2.1.0/../..
Attempting to remove neural-compressor from tensorflow environment.
Collecting package metadata (repodata.json): done
Solving environment: - 
Warning: 4 possible package resolutions (only showing differing packages):
  - file:///opt/intel/oneapi/conda_channel/linux-64::abseil-cpp-20211102.0-hd4dd
3e8_0, file:///opt/intel/oneapi/conda_channel/linux-64::re2-2022.04.01-h295c915_
0
  - file:///opt/intel/oneapi/conda_channel/linux-64::abseil-cpp-20211102.0-hd4dd
3e8_10, file:///opt/intel/oneapi/conda_channel/linux-64::re2-2022.04.01-h295c915
_0
  - file:///opt/intel/oneapi/conda_channel/linux-64::abseil-cpp-20211102.0-hd4dd
3e8_0, file:///opt/intel/oneapi/conda_channel/linux-64::re2-2022.04.01-h295c915_
10
  - file:///opt/intel/oneapi/conda_channel/linux-64::abseil-cpp-20211102.0-hd4dd
3e8_10, file:///opt/intel/oneapi/conda_channel/linux-64::re2-2022.04.01-h295c915
_done

## Package Plan ##

  environment location: /opt/intel/oneapi/intelpython/latest/envs/tensorflow

  removed specs:
    - neural-compressor-full=2.1


The following packages will be REMOVED:

  alembic-1.7.7-pyhd8ed1ab_0
  bidict-0.21.2-pyhd3eb1b0_0
  brotli-1.0.9-hf484d3e_2
  contextlib2-0.5.5-py_2
  cycler-0.11.0-pyhd3eb1b0_0
  cython-0.29.33-py39ha718fea_0
  deprecated-1.2.13-py39h06a4308_0
  flask-1.1.2-pyhd3eb1b0_0
  flask-cors-3.0.10-pyhd3eb1b0_0
  flask-socketio-5.1.0-pyhd3eb1b0_0
  fonttools-4.25.0-pyhd3eb1b0_0
  freetype-2.12.1-hb267b13_2
  gevent-21.8.0-py39h7f8727e_1
  gevent-websocket-0.10.1-py39h06a4308_1
  greenlet-1.1.1-py39h295c915_0
  importlib_resources-5.2.0-pyhd3eb1b0_1
  itsdangerous-2.0.1-pyhd3eb1b0_0
  jinja2-3.0.3-pyhd3eb1b0_0
  joblib-1.2.0-pyh3f38642_0
  kiwisolver-1.4.2-py39h295c915_0
  lcms2-2.12-h3be6417_1
  lerc-3.0-h295c915_1
  libdeflate-1.8-h7f8727e_6
  libtiff-4.5.0-hecacb30_1
  libuv-1.40.0-h7b6447c_2
  libwebp-1.2.0-h89dd481nogiflib_1
  libwebp-base-1.2.0-h7f98852_3
  lz4-c-1.9.4-h6a678d5_0
  mako-1.2.3-py39h06a4308_0
  markupsafe-2.0.1-py39h27cfd23_0
  matplotlib-base-3.4.3-py39hbbc1b5f_0
  munkres-1.1.4-py_0
  neural-compressor-full-2.1-pyhdless_0
  opencv-python-headless-4.5.5.64-py39_2
  pandas-1.5.3-py39h6cd0baa_0
  pillow-9.3.0-py39hace64e9_2
  prettytable-0.7.2-py_3
  psutil-5.9.0-py39h5eee18b_1
  py-cpuinfo-8.0.0-pyhd3eb1b0_0
  pycocotools-2.0.2-py39hce5d2b2_2
  pyparsing-3.0.9-py39h06a4308_0
  python-dateutil-2.8.2-pyhd3eb1b0_0
  python-engineio-4.1.0-pyhd3eb1b0_0
  python-socketio-5.3.0-pyhd3eb1b0_0
  python_abi-3.9-2_cp39
  pytz-2022.7-py39h06a4308_0
  pyyaml-6.0-py39h5eee18b_1
  schema-0.7.4-pyh44b312d_0
  scikit-learn-1.2.1-py39h6a678d5_0
  sqlalchemy-1.4.27-py39h7f8727e_0
  threadpoolctl-2.2.0-pyh0d69192_0
  tornado-6.1-py39h27cfd23_0
  yaml-0.2.5-h7b6447c_0
  zope.event-4.5.0-py39h06a4308_0
  zope.interface-5.4.0-py39h3811e60_0
  zstd-1.5.5-hc292b87_0


Preparing transaction: done
Verifying transaction: done
Executing transaction: done
/opt/intel//oneapi/neural-compressor/latest/uninstall_neural-compressor.sh: 53: 
/opt/intel/oneapi/intelpython/latest/etc/conda/deactivate.d/mpivars.deactivate.s
h: [[: not found
/opt/intel//oneapi/neural-compressor/latest/uninstall_neural-compressor.sh: 3: /
opt/intel/oneapi/intelpython/latest/etc/conda/deactivate.d/deactivate-opencl-rt.
sh: [[: not found
/opt/intel//oneapi/neural-compressor/latest/uninstall_neural-compressor.sh: 10: 
/opt/intel/oneapi/intelpython/latest/etc/conda/deactivate.d/deactivate-opencl-rt
.sh: [[: not found
0
neural-compressor uninstalled in tensorflow.
/opt/intel//oneapi/neural-compressor/latest/uninstall_neural-compressor.sh: 53: 
/opt/intel/oneapi/intelpython/latest/etc/conda/deactivate.d/mpivars.deactivate.s
h: [[: not found
/opt/intel//oneapi/neural-compressor/latest/uninstall_neural-compressor.sh: 3: /
opt/intel/oneapi/intelpython/latest/etc/conda/deactivate.d/deactivate-opencl-rt.
sh: [[: not found
/opt/intel//oneapi/neural-compressor/latest/uninstall_neural-compressor.sh: 10: 
/opt/intel/oneapi/intelpython/latest/etc/conda/deactivate.d/deactivate-opencl-rt
.sh: [[: not found
Attempting to remove neural-compressor from pytorch environment.
Collecting package metadata (repodata.json): done
Solving environment: done

## Package Plan ##

  environment location: /opt/intel/oneapi/intelpython/latest/envs/pytorch

  removed specs:
    - neural-compressor-full=2.1


The following packages will be REMOVED:

  alembic-1.7.7-pyhd8ed1ab_0
  bidict-0.21.2-pyhd3eb1b0_0
  brotli-1.0.9-hf484d3e_2
  c-ares-1.18.1-h7f8727e_0
  click-8.0.4-py39h06a4308_2
  contextlib2-0.5.5-py_2
  cycler-0.11.0-pyhd3eb1b0_0
  cython-0.29.33-py39ha718fea_0
  dataclasses-0.8-pyh6d0b6a4_7
  deprecated-1.2.13-py39h06a4308_0
  flask-1.1.2-pyhd3eb1b0_0
  flask-cors-3.0.10-pyhd3eb1b0_0
  flask-socketio-5.1.0-pyhd3eb1b0_0
  fonttools-4.25.0-pyhd3eb1b0_0
  fortran_rt-2023.1.0-intel_46305
  gevent-21.8.0-py39h7f8727e_1
  gevent-websocket-0.10.1-py39h06a4308_1
  greenlet-1.1.1-py39h295c915_0
  importlib-metadata-6.0.0-py39h06a4308_0
  importlib_resources-5.2.0-pyhd3eb1b0_1
  intel-fortran-rt-2023.1.0-intel_46305
  itsdangerous-2.0.1-pyhd3eb1b0_0
  jinja2-3.0.3-pyhd3eb1b0_0
  joblib-1.2.0-pyh3f38642_0
  kiwisolver-1.4.2-py39h295c915_0
  libev-4.33-h7f8727e_2
  mako-1.2.3-py39h06a4308_0
  markupsafe-2.0.1-py39h27cfd23_0
  matplotlib-base-3.4.3-py39hbbc1b5f_0
  munkres-1.1.4-py_0
  neural-compressor-full-2.1-pyhdless_0
  opencv-python-headless-4.5.5.64-py39_2
  packaging-22.0-py39h06a4308_0
  pandas-1.5.3-py39h6cd0baa_0
  prettytable-0.7.2-py_3
  py-cpuinfo-8.0.0-pyhd3eb1b0_0
  pycocotools-2.0.2-py39hce5d2b2_2
  pyparsing-3.0.9-py39h06a4308_0
  python-dateutil-2.8.2-pyhd3eb1b0_0
  python-engineio-4.1.0-pyhd3eb1b0_0
  python-socketio-5.3.0-pyhd3eb1b0_0
  python_abi-3.9-2_cp39
  pytz-2022.7-py39h06a4308_0
  pyyaml-6.0-py39h5eee18b_1
  schema-0.7.4-pyh44b312d_0
  scikit-learn-1.2.1-py39h6a678d5_0
  scipy-1.7.3-py39h4ca98da_8
  sqlalchemy-1.4.27-py39h7f8727e_0
  threadpoolctl-2.2.0-pyh0d69192_0
  tornado-6.1-py39h27cfd23_0
  werkzeug-2.0.2-pyhd3eb1b0_3
  wrapt-1.14.1-py39h5eee18b_1
  yaml-0.2.5-h7b6447c_0
  zipp-3.11.0-py39h06a4308_0
  zope.event-4.5.0-py39h06a4308_0
  zope.interface-5.4.0-py39h3811e60_0


Preparing transaction: done
Verifying transaction: done
Executing transaction: done
/opt/intel//oneapi/neural-compressor/latest/uninstall_neural-compressor.sh: 53: 
/opt/intel/oneapi/intelpython/latest/etc/conda/deactivate.d/mpivars.deactivate.s
h: [[: not found
/opt/intel//oneapi/neural-compressor/latest/uninstall_neural-compressor.sh: 3: /
opt/intel/oneapi/intelpython/latest/etc/conda/deactivate.d/deactivate-opencl-rt.
sh: [[: not found
/opt/intel//oneapi/neural-compressor/latest/uninstall_neural-compressor.sh: 10: 
/opt/intel/oneapi/intelpython/latest/etc/conda/deactivate.d/deactivate-opencl-rt
.sh: [[: not found
Progress: [ 20%] [#################......................................................................] 
neural-compressor uninstalled in pytorch.
Progress: [ 20%] [###################.............................................................................] 
Setting up intel-oneapi-neural-compressor (2.1.0-48866) ..............................................................] 
ONEAPI_PATH:/opt/intel/oneapi/neural-compressor/2.1.0/../..
Framework parameter is set to: tensorflow,pytorch
TensorFlow will be installed. Neural Compressor installation will follow in TensorFlow environment.
ONEAPI_PATH:/opt/intel/oneapi/tensorflow/2.12.0/../..
Collecting package metadata (current_repodata.json): ...working... done
Solving environment: ...working... done

# All requested packages already installed.

Collecting package metadata (current_repodata.json): ...working... done
Solving environment: ...working... 
Warning: 4 possible package resolutions (only showing differing packages):
  - file:///opt/intel/oneapi/conda_channel/linux-64::abseil-cpp-20211102.0-hd4dd3e8_0, file:///opt/intel/oneapi/conda_cha
nnel/linux-64::re2-2022.04.01-h295c915_0
  - file:///opt/intel/oneapi/conda_channel/linux-64::abseil-cpp-20211102.0-hd4dd3e8_10, file:///opt/intel/oneapi/conda_ch
annel/linux-64::re2-2022.04.01-h295c915_0
  - file:///opt/intel/oneapi/conda_channel/linux-64::abseil-cpp-20211102.0-hd4dd3e8_0, file:///opt/intel/oneapi/conda_cha
nnel/linux-64::re2-2022.04.01-h295c915_10
  - file:///opt/intel/oneapi/conda_channel/linux-64::abseil-cpp-20211102.0-hd4dd3e8_10, file:///opt/intel/oneapi/conda_ch
annel/linux-64::re2-2022.04.01-h295c915_10done

## Package Plan ##

  environment location: /opt/intel/oneapi/intelpython/latest/envs/tensorflow-gpu

  added / updated specs:
    - dpnp
    - intel-extension-for-tensorflow=1.2
    - python=3.9
    - tensorflow-base==2.12.0=mkl_py39h60e1986_1
    - tensorflow-estimator==2.12.0=py39_1


The following NEW packages will be INSTALLED:

  _libgcc_mutex      conda_channel/linux-64::_libgcc_mutex-0.1-main 
  _openmp_mutex      conda_channel/linux-64::_openmp_mutex-5.1-1_gnu 
  abseil-cpp         conda_channel/linux-64::abseil-cpp-20211102.0-hd4dd3e8_0 
  absl-py            conda_channel/linux-64::absl-py-1.3.0-py39h06a4308_0 
  aiohttp            conda_channel/linux-64::aiohttp-3.7.4.post0-py39h7f8727e_2 
  astunparse         conda_channel/linux-64::astunparse-1.6.3-py_0 
  async-timeout      conda_channel/linux-64::async-timeout-3.0.1-py39h06a4308_0 
  attrs              conda_channel/linux-64::attrs-22.1.0-py39h06a4308_0 
  blinker            conda_channel/linux-64::blinker-1.4-py39h06a4308_0 
  brotlipy           conda_channel/linux-64::brotlipy-0.7.0-py39h27cfd23_1003 
  bzip2              conda_channel/linux-64::bzip2-1.0.8-hb9a14ef_9 
  c-ares             conda_channel/linux-64::c-ares-1.18.1-h7f8727e_0 
  ca-certificates    conda_channel/linux-64::ca-certificates-2023.01.10-h06a4308_0 
  cachetools         conda_channel/linux-64::cachetools-4.2.2-pyhd3eb1b0_0 
  certifi            conda_channel/linux-64::certifi-2022.12.7-py39h06a4308_0 
  cffi               conda_channel/linux-64::cffi-1.15.1-py39h74dc2b5_0 
  chardet            conda_channel/linux-64::chardet-4.0.0-py39h06a4308_1003 
  charset-normalizer conda_channel/noarch::charset-normalizer-2.0.4-pyhd3eb1b0_0 
  click              conda_channel/linux-64::click-8.0.4-py39h06a4308_2 
  cryptography       conda_channel/linux-64::cryptography-39.0.1-py39h9ce1e76_0 
  dataclasses        conda_channel/linux-64::dataclasses-0.8-pyh6d0b6a4_7 
  dpcpp-cpp-rt       conda_channel/linux-64::dpcpp-cpp-rt-2023.1.0-intel_46305 
  dpcpp_cpp_rt       conda_channel/linux-64::dpcpp_cpp_rt-2023.1.0-intel_46305 
  dpctl              conda_channel/linux-64::dpctl-0.14.2-py39ha23a21d_9 
  dpnp               conda_channel/linux-64::dpnp-0.11.1-py39h193dc20_12 
  flatbuffers        conda_channel/linux-64::flatbuffers-2.0.0-h2531618_0 
  fortran_rt         conda_channel/linux-64::fortran_rt-2023.1.0-intel_46305 
  gast               conda_channel/linux-64::gast-0.4.0-py_0 
  giflib             conda_channel/linux-64::giflib-5.2.1-h5eee18b_3 
  google-auth        conda_channel/linux-64::google-auth-2.6.0-pyhd3eb1b0_0 
  google-auth-oauth~ conda_channel/linux-64::google-auth-oauthlib-0.4.4-pyhd3eb1b0_0 
  google-pasta       conda_channel/linux-64::google-pasta-0.2.0-py_0 
  grpc-cpp           conda_channel/linux-64::grpc-cpp-1.46.1-h33aed49_10 
  grpcio             conda_channel/linux-64::grpcio-1.42.0-py39hce63b2e_1 
  h5py               conda_channel/linux-64::h5py-3.7.0-py39h737f45e_0 
  hdf5               conda_channel/linux-64::hdf5-1.10.6-h3ffc7dd_1 
  icc_rt             conda_channel/linux-64::icc_rt-2023.1.0-intel_46305 
  icu                conda_channel/linux-64::icu-68.1-h2531618_2 
  idna               conda_channel/linux-64::idna-3.4-py39h06a4308_0 
  impi_rt            conda_channel/linux-64::impi_rt-2021.9.0-intel_43482 
  importlib-metadata conda_channel/linux-64::importlib-metadata-6.0.0-py39h06a4308_0 
  intel-cmplr-lib-rt conda_channel/linux-64::intel-cmplr-lib-rt-2023.1.0-intel_46305 
  intel-cmplr-lic-rt conda_channel/linux-64::intel-cmplr-lic-rt-2023.1.0-intel_46305 
  intel-extension-f~ conda_channel/linux-64::intel-extension-for-tensorflow-1.2.0-py3.9_gpu_0 
  intel-fortran-rt   conda_channel/linux-64::intel-fortran-rt-2023.1.0-intel_46305 
  intel-opencl-rt    conda_channel/linux-64::intel-opencl-rt-2023.1.0-intel_46305 
  intel-openmp       conda_channel/linux-64::intel-openmp-2023.1.0-intel_46305 
  intelpython        conda_channel/linux-64::intelpython-2023.1.0-1 
  jax                conda_channel/linux-64::jax-0.3.25-py39h06a4308_0 
  jaxlib             conda_channel/linux-64::jaxlib-0.3.25-py39h6a678d5_1 
  jpeg               conda_channel/linux-64::jpeg-9e-h7f8727e_2 
  keras              conda_channel/linux-64::keras-2.12.0-py39_0 
  keras-preprocessi~ conda_channel/linux-64::keras-preprocessing-1.1.2-pyhd3eb1b0_0 
  krb5               conda_channel/linux-64::krb5-1.19.4-h568e23c_1 
  libcurl            conda_channel/linux-64::libcurl-8.0.1-h9bf148f_1 
  libedit            conda_channel/linux-64::libedit-3.1.20221030-h5eee18b_1 
  libev              conda_channel/linux-64::libev-4.33-h7f8727e_2 
  libffi             conda_channel/linux-64::libffi-3.3-he6710b0_2 
  libgcc-ng          conda_channel/linux-64::libgcc-ng-11.2.0-h1234567_1 
  libgfortran-ng     conda_channel/linux-64::libgfortran-ng-11.2.0-h00389a5_1 
  libgfortran5       conda_channel/linux-64::libgfortran5-11.2.0-h1234567_1 
  libgomp            conda_channel/linux-64::libgomp-11.2.0-h1234567_1 
  libnghttp2         conda_channel/linux-64::libnghttp2-1.46.0-hce63b2e_1 
  libpng             conda_channel/linux-64::libpng-1.6.39-h5eee18b_0 
  libprotobuf        conda_channel/linux-64::libprotobuf-3.20.3-he621ea3_0 
  libssh2            conda_channel/linux-64::libssh2-1.10.0-h8f2d780_1 
  libstdcxx-ng       conda_channel/linux-64::libstdcxx-ng-11.2.0-h1234567_1 
  markdown           conda_channel/linux-64::markdown-3.3.4-py39h06a4308_0 
  mkl                conda_channel/linux-64::mkl-2023.1.0-intel_46342 
  mkl-dpcpp          conda_channel/linux-64::mkl-dpcpp-2023.1.0-intel_46342 
  mkl-service        conda_channel/linux-64::mkl-service-2.4.0-py39h75d02e3_15 
  mkl_fft            conda_channel/linux-64::mkl_fft-1.3.5-py39ha5a625c_11 
  mkl_random         conda_channel/linux-64::mkl_random-1.2.2-py39h0b06908_51 
  mkl_umath          conda_channel/linux-64::mkl_umath-0.1.1-py39h450dca2_61 
  multidict          conda_channel/linux-64::multidict-6.0.2-py39h5eee18b_0 
  ncurses            conda_channel/linux-64::ncurses-6.4-h6a678d5_0 
  numpy              conda_channel/linux-64::numpy-1.23.5-py39h52df89b_7 
  numpy-base         conda_channel/linux-64::numpy-base-1.23.5-py39ha03f565_7 
  oauthlib           conda_channel/linux-64::oauthlib-3.2.2-py39h06a4308_0 
  openssl            conda_channel/linux-64::openssl-1.1.1t-h7f8727e_0 
  opt_einsum         conda_channel/linux-64::opt_einsum-3.3.0-pyhd3eb1b0_1 
  packaging          conda_channel/linux-64::packaging-22.0-py39h06a4308_0 
  pip                conda_channel/linux-64::pip-23.0.1-py39h06a4308_0 
  protobuf           conda_channel/linux-64::protobuf-3.20.3-py39h6a678d5_1 
  pyasn1             conda_channel/linux-64::pyasn1-0.4.8-py_0 
  pyasn1-modules     conda_channel/linux-64::pyasn1-modules-0.2.8-py_0 
  pycparser          conda_channel/noarch::pycparser-2.21-pyhd3eb1b0_0 
  pyjwt              conda_channel/linux-64::pyjwt-2.4.0-py39h06a4308_0 
  pyopenssl          conda_channel/linux-64::pyopenssl-23.0.0-py39h06a4308_0 
  pysocks            conda_channel/linux-64::pysocks-1.7.1-py39h06a4308_0 
  python             conda_channel/linux-64::python-3.9.16-h2722d68_1 
  python-flatbuffers conda_channel/linux-64::python-flatbuffers-2.0-pyhd3eb1b0_0 
  re2                conda_channel/linux-64::re2-2022.04.01-h295c915_0 
  readline           conda_channel/linux-64::readline-8.2-h5eee18b_0 
  requests           conda_channel/linux-64::requests-2.28.1-py39h06a4308_1 
  requests-oauthlib  conda_channel/linux-64::requests-oauthlib-1.3.0-py_0 
  rsa                conda_channel/linux-64::rsa-4.7.2-pyhd3eb1b0_1 
  scipy              conda_channel/linux-64::scipy-1.7.3-py39h4ca98da_8 
  setuptools         conda_channel/linux-64::setuptools-65.6.3-py39h06a4308_0 
  six                conda_channel/noarch::six-1.16.0-pyhd3eb1b0_1 
  snappy             conda_channel/linux-64::snappy-1.1.9-h295c915_0 
  sqlite             conda_channel/linux-64::sqlite-3.41.1-h5eee18b_0 
  tbb                conda_channel/linux-64::tbb-2021.9.0-intel_43484 
  tbb4py             conda_channel/linux-64::tbb4py-2021.9.0-py39_intel_43484 
  tensorboard        conda_channel/linux-64::tensorboard-2.12.0-py39_0 
  tensorboard-data-~ conda_channel/linux-64::tensorboard-data-server-0.7.0-py39he550052_0 
  tensorboard-plugi~ conda_channel/linux-64::tensorboard-plugin-wit-1.8.1-py39h06a4308_0 
  tensorflow-base    conda_channel/linux-64::tensorflow-base-2.12.0-mkl_py39h60e1986_1 
  tensorflow-estima~ conda_channel/linux-64::tensorflow-estimator-2.12.0-py39_1 
  termcolor          conda_channel/linux-64::termcolor-2.1.0-py39h06a4308_0 
  tk                 conda_channel/linux-64::tk-8.6.12-h1ccaba5_0 
  typing-extensions  conda_channel/linux-64::typing-extensions-4.1.1-hd3eb1b0_0 
  typing_extensions  conda_channel/linux-64::typing_extensions-4.1.1-pyh06a4308_0 
  urllib3            conda_channel/linux-64::urllib3-1.26.14-py39h06a4308_0 
  werkzeug           conda_channel/noarch::werkzeug-2.0.2-pyhd3eb1b0_3 
  wheel              conda_channel/linux-64::wheel-0.38.4-py39h06a4308_0 
  wrapt              conda_channel/linux-64::wrapt-1.14.1-py39h5eee18b_1 
  xz                 conda_channel/linux-64::xz-5.2.10-h5eee18b_1 
  yarl               conda_channel/linux-64::yarl-1.8.1-py39h5eee18b_0 
  zipp               conda_channel/linux-64::zipp-3.11.0-py39h06a4308_0 
  zlib               conda_channel/linux-64::zlib-1.2.13-h5eee18b_0 


Preparing transaction: ...working... done
Verifying transaction: ...working... done
Executing transaction: ...working... done
ONEAPI_PATH:/opt/intel/oneapi/neural-compressor/2.1.0/../..
Framework parameter is set to: tensorflow
Neural Compressor will be installed in tensorflow environment
Installing Neural Compressor in tensorflow environment
Collecting package metadata (current_repodata.json): ...working... done
Solving environment: ...working... done

## Package Plan ##

  environment location: /opt/intel/oneapi/intelpython/latest/envs/tensorflow

  added / updated specs:
    - neural-compressor-full=2.1


The following NEW packages will be INSTALLED:

  alembic            conda_channel/noarch::alembic-1.7.7-pyhd8ed1ab_0 
  bidict             conda_channel/noarch::bidict-0.21.2-pyhd3eb1b0_0 
  brotli             conda_channel/linux-64::brotli-1.0.9-hf484d3e_2 
  contextlib2        conda_channel/noarch::contextlib2-0.5.5-py_2 
  cycler             conda_channel/noarch::cycler-0.11.0-pyhd3eb1b0_0 
  cython             conda_channel/linux-64::cython-0.29.33-py39ha718fea_0 
  deprecated         conda_channel/linux-64::deprecated-1.2.13-py39h06a4308_0 
  flask              conda_channel/noarch::flask-1.1.2-pyhd3eb1b0_0 
  flask-cors         conda_channel/noarch::flask-cors-3.0.10-pyhd3eb1b0_0 
  flask-socketio     conda_channel/noarch::flask-socketio-5.1.0-pyhd3eb1b0_0 
  fonttools          conda_channel/noarch::fonttools-4.25.0-pyhd3eb1b0_0 
  freetype           conda_channel/linux-64::freetype-2.12.1-hb267b13_2 
  gevent             conda_channel/linux-64::gevent-21.8.0-py39h7f8727e_1 
  gevent-websocket   conda_channel/linux-64::gevent-websocket-0.10.1-py39h06a4308_1 
  greenlet           conda_channel/linux-64::greenlet-1.1.1-py39h295c915_0 
  importlib_resourc~ conda_channel/noarch::importlib_resources-5.2.0-pyhd3eb1b0_1 
  itsdangerous       conda_channel/noarch::itsdangerous-2.0.1-pyhd3eb1b0_0 
  jinja2             conda_channel/noarch::jinja2-3.0.3-pyhd3eb1b0_0 
  joblib             conda_channel/noarch::joblib-1.2.0-pyh3f38642_0 
  kiwisolver         conda_channel/linux-64::kiwisolver-1.4.2-py39h295c915_0 
  lcms2              conda_channel/linux-64::lcms2-2.12-h3be6417_1 
  lerc               conda_channel/linux-64::lerc-3.0-h295c915_1 
  libdeflate         conda_channel/linux-64::libdeflate-1.8-h7f8727e_6 
  libtiff            conda_channel/linux-64::libtiff-4.5.0-hecacb30_1 
  libuv              conda_channel/linux-64::libuv-1.40.0-h7b6447c_2 
  libwebp            conda_channel/linux-64::libwebp-1.2.0-h89dd481nogiflib_1 
  libwebp-base       conda_channel/linux-64::libwebp-base-1.2.0-h7f98852_3 
  lz4-c              conda_channel/linux-64::lz4-c-1.9.4-h6a678d5_0 
  mako               conda_channel/linux-64::mako-1.2.3-py39h06a4308_0 
  markupsafe         conda_channel/linux-64::markupsafe-2.0.1-py39h27cfd23_0 
  matplotlib-base    conda_channel/linux-64::matplotlib-base-3.4.3-py39hbbc1b5f_0 
  munkres            conda_channel/noarch::munkres-1.1.4-py_0 
  neural-compressor~ conda_channel/noarch::neural-compressor-full-2.1-pyhdless_0 
  opencv-python-hea~ conda_channel/linux-64::opencv-python-headless-4.5.5.64-py39_2 
  pandas             conda_channel/linux-64::pandas-1.5.3-py39h6cd0baa_0 
  pillow             conda_channel/linux-64::pillow-9.3.0-py39hace64e9_2 
  prettytable        conda_channel/noarch::prettytable-0.7.2-py_3 
  psutil             conda_channel/linux-64::psutil-5.9.0-py39h5eee18b_1 
  py-cpuinfo         conda_channel/noarch::py-cpuinfo-8.0.0-pyhd3eb1b0_0 
  pycocotools        conda_channel/linux-64::pycocotools-2.0.2-py39hce5d2b2_2 
  pyparsing          conda_channel/linux-64::pyparsing-3.0.9-py39h06a4308_0 
  python-dateutil    conda_channel/noarch::python-dateutil-2.8.2-pyhd3eb1b0_0 
  python-engineio    conda_channel/noarch::python-engineio-4.1.0-pyhd3eb1b0_0 
  python-socketio    conda_channel/noarch::python-socketio-5.3.0-pyhd3eb1b0_0 
  python_abi         conda_channel/linux-64::python_abi-3.9-2_cp39 
  pytz               conda_channel/linux-64::pytz-2022.7-py39h06a4308_0 
  pyyaml             conda_channel/linux-64::pyyaml-6.0-py39h5eee18b_1 
  schema             conda_channel/noarch::schema-0.7.4-pyh44b312d_0 
  scikit-learn       conda_channel/linux-64::scikit-learn-1.2.1-py39h6a678d5_0 
  sqlalchemy         conda_channel/linux-64::sqlalchemy-1.4.27-py39h7f8727e_0 
  threadpoolctl      conda_channel/noarch::threadpoolctl-2.2.0-pyh0d69192_0 
  tornado            conda_channel/linux-64::tornado-6.1-py39h27cfd23_0 
  yaml               conda_channel/linux-64::yaml-0.2.5-h7b6447c_0 
  zope.event         conda_channel/linux-64::zope.event-4.5.0-py39h06a4308_0 
  zope.interface     conda_channel/linux-64::zope.interface-5.4.0-py39h3811e60_0 
  zstd               conda_channel/linux-64::zstd-1.5.5-hc292b87_0 


Preparing transaction: ...working... done
Verifying transaction: ...working... done
Executing transaction: ...working... 

    Installed package of scikit-learn can be accelerated using scikit-learn-intelex.
    More details are available here: https://intel.github.io/scikit-learn-intelex

    For example:

        $ conda install scikit-learn-intelex
        $ python -m sklearnex my_application.py

    

done
/opt/intel/oneapi/tensorflow/2.12.0/../../neural-compressor/latest/install_neural-compressor.sh: 53: /opt/intel/oneapi/in
telpython/latest/envs/tensorflow/etc/conda/deactivate.d/mpivars.deactivate.sh: [[: not found
/opt/intel/oneapi/tensorflow/2.12.0/../../neural-compressor/latest/install_neural-compressor.sh: 3: /opt/intel/oneapi/int
elpython/latest/envs/tensorflow/etc/conda/deactivate.d/deactivate-opencl-rt.sh: [[: not found
/opt/intel/oneapi/tensorflow/2.12.0/../../neural-compressor/latest/install_neural-compressor.sh: 10: /opt/intel/oneapi/in
telpython/latest/envs/tensorflow/etc/conda/deactivate.d/deactivate-opencl-rt.sh: [[: not found
0
Success to install neural-compressor in tensorflow.
ONEAPI_PATH:/opt/intel/oneapi/neural-compressor/2.1.0/../..
Framework parameter is set to: tensorflow-gpu
Neural Compressor will be installed in tensorflow-gpu environment
Installing Neural Compressor in tensorflow-gpu environment
/opt/intel/oneapi/tensorflow/2.12.0/../../neural-compressor/latest/install_neural-compressor.sh: 24: /opt/intel/oneapi/in
telpython/latest/envs/tensorflow-gpu/etc/conda/activate.d/activate-libstdcxx-patch.sh: [[: not found
Collecting package metadata (current_repodata.json): ...working... done
Solving environment: ...working... done

## Package Plan ##

  environment location: /opt/intel/oneapi/intelpython/latest/envs/tensorflow-gpu

  added / updated specs:
    - neural-compressor-full=2.1


The following NEW packages will be INSTALLED:

  alembic            conda_channel/noarch::alembic-1.7.7-pyhd8ed1ab_0 
  bidict             conda_channel/noarch::bidict-0.21.2-pyhd3eb1b0_0 
  brotli             conda_channel/linux-64::brotli-1.0.9-hf484d3e_2 
  contextlib2        conda_channel/noarch::contextlib2-0.5.5-py_2 
  cycler             conda_channel/noarch::cycler-0.11.0-pyhd3eb1b0_0 
  cython             conda_channel/linux-64::cython-0.29.33-py39ha718fea_0 
  deprecated         conda_channel/linux-64::deprecated-1.2.13-py39h06a4308_0 
  flask              conda_channel/noarch::flask-1.1.2-pyhd3eb1b0_0 
  flask-cors         conda_channel/noarch::flask-cors-3.0.10-pyhd3eb1b0_0 
  flask-socketio     conda_channel/noarch::flask-socketio-5.1.0-pyhd3eb1b0_0 
  fonttools          conda_channel/noarch::fonttools-4.25.0-pyhd3eb1b0_0 
  freetype           conda_channel/linux-64::freetype-2.12.1-hb267b13_2 
  gevent             conda_channel/linux-64::gevent-21.8.0-py39h7f8727e_1 
  gevent-websocket   conda_channel/linux-64::gevent-websocket-0.10.1-py39h06a4308_1 
  greenlet           conda_channel/linux-64::greenlet-1.1.1-py39h295c915_0 
  importlib_resourc~ conda_channel/noarch::importlib_resources-5.2.0-pyhd3eb1b0_1 
  itsdangerous       conda_channel/noarch::itsdangerous-2.0.1-pyhd3eb1b0_0 
  jinja2             conda_channel/noarch::jinja2-3.0.3-pyhd3eb1b0_0 
  joblib             conda_channel/noarch::joblib-1.2.0-pyh3f38642_0 
  kiwisolver         conda_channel/linux-64::kiwisolver-1.4.2-py39h295c915_0 
  lcms2              conda_channel/linux-64::lcms2-2.12-h3be6417_1 
  lerc               conda_channel/linux-64::lerc-3.0-h295c915_1 
  libdeflate         conda_channel/linux-64::libdeflate-1.8-h7f8727e_6 
  libtiff            conda_channel/linux-64::libtiff-4.5.0-hecacb30_1 
  libuv              conda_channel/linux-64::libuv-1.40.0-h7b6447c_2 
  libwebp            conda_channel/linux-64::libwebp-1.2.0-h89dd481nogiflib_1 
  libwebp-base       conda_channel/linux-64::libwebp-base-1.2.0-h7f98852_3 
  lz4-c              conda_channel/linux-64::lz4-c-1.9.4-h6a678d5_0 
  mako               conda_channel/linux-64::mako-1.2.3-py39h06a4308_0 
  markupsafe         conda_channel/linux-64::markupsafe-2.0.1-py39h27cfd23_0 
  matplotlib-base    conda_channel/linux-64::matplotlib-base-3.4.3-py39hbbc1b5f_0 
  munkres            conda_channel/noarch::munkres-1.1.4-py_0 
  neural-compressor~ conda_channel/noarch::neural-compressor-full-2.1-pyhdless_0 
  opencv-python-hea~ conda_channel/linux-64::opencv-python-headless-4.5.5.64-py39_2 
  pandas             conda_channel/linux-64::pandas-1.5.3-py39h6cd0baa_0 
  pillow             conda_channel/linux-64::pillow-9.3.0-py39hace64e9_2 
  prettytable        conda_channel/noarch::prettytable-0.7.2-py_3 
  psutil             conda_channel/linux-64::psutil-5.9.0-py39h5eee18b_1 
  py-cpuinfo         conda_channel/noarch::py-cpuinfo-8.0.0-pyhd3eb1b0_0 
  pycocotools        conda_channel/linux-64::pycocotools-2.0.2-py39hce5d2b2_2 
  pyparsing          conda_channel/linux-64::pyparsing-3.0.9-py39h06a4308_0 
  python-dateutil    conda_channel/noarch::python-dateutil-2.8.2-pyhd3eb1b0_0 
  python-engineio    conda_channel/noarch::python-engineio-4.1.0-pyhd3eb1b0_0 
  python-socketio    conda_channel/noarch::python-socketio-5.3.0-pyhd3eb1b0_0 
  python_abi         conda_channel/linux-64::python_abi-3.9-2_cp39 
  pytz               conda_channel/linux-64::pytz-2022.7-py39h06a4308_0 
  pyyaml             conda_channel/linux-64::pyyaml-6.0-py39h5eee18b_1 
  schema             conda_channel/noarch::schema-0.7.4-pyh44b312d_0 
  scikit-learn       conda_channel/linux-64::scikit-learn-1.2.1-py39h6a678d5_0 
  sqlalchemy         conda_channel/linux-64::sqlalchemy-1.4.27-py39h7f8727e_0 
  threadpoolctl      conda_channel/noarch::threadpoolctl-2.2.0-pyh0d69192_0 
  tornado            conda_channel/linux-64::tornado-6.1-py39h27cfd23_0 
  yaml               conda_channel/linux-64::yaml-0.2.5-h7b6447c_0 
  zope.event         conda_channel/linux-64::zope.event-4.5.0-py39h06a4308_0 
  zope.interface     conda_channel/linux-64::zope.interface-5.4.0-py39h3811e60_0 
  zstd               conda_channel/linux-64::zstd-1.5.5-hc292b87_0 


Preparing transaction: ...working... done
Verifying transaction: ...working... done
Executing transaction: ...working... 

    Installed package of scikit-learn can be accelerated using scikit-learn-intelex.
    More details are available here: https://intel.github.io/scikit-learn-intelex

    For example:

        $ conda install scikit-learn-intelex
        $ python -m sklearnex my_application.py

    

done
/opt/intel/oneapi/tensorflow/2.12.0/../../neural-compressor/latest/install_neural-compressor.sh: 53: /opt/intel/oneapi/in
telpython/latest/envs/tensorflow-gpu/etc/conda/deactivate.d/mpivars.deactivate.sh: [[: not found
/opt/intel/oneapi/tensorflow/2.12.0/../../neural-compressor/latest/install_neural-compressor.sh: 3: /opt/intel/oneapi/int
elpython/latest/envs/tensorflow-gpu/etc/conda/deactivate.d/deactivate-opencl-rt.sh: [[: not found
/opt/intel/oneapi/tensorflow/2.12.0/../../neural-compressor/latest/install_neural-compressor.sh: 10: /opt/intel/oneapi/in
telpython/latest/envs/tensorflow-gpu/etc/conda/deactivate.d/deactivate-opencl-rt.sh: [[: not found
/opt/intel/oneapi/tensorflow/2.12.0/../../neural-compressor/latest/install_neural-compressor.sh: 24: /opt/intel/oneapi/in
telpython/latest/envs/tensorflow-gpu/etc/conda/deactivate.d/deactivate-libstdcxx-patch.sh: [[: not found
/opt/intel/oneapi/tensorflow/2.12.0/../../neural-compressor/latest/install_neural-compressor.sh: 24: /opt/intel/oneapi/in
telpython/latest/envs/tensorflow-gpu/etc/conda/activate.d/activate-libstdcxx-patch.sh: [[: not found
0
Success to install neural-compressor in tensorflow-gpu.
/
Pytorch will be installed. Neural Compressor installation will follow in Pytorch environment.
ONEAPI_PATH:/opt/intel/oneapi/pytorch/1.13.10.2/../..
Collecting package metadata (current_repodata.json): ...working... done
Solving environment: ...working... done

# All requested packages already installed.

Collecting package metadata (current_repodata.json): ...working... done
Solving environment: ...working... done

## Package Plan ##

  environment location: /opt/intel/oneapi/intelpython/latest/envs/pytorch-gpu

  added / updated specs:
    - cpuonly
    - dpnp
    - intel-extension-for-pytorch=1.13.120
    - intel-openmp
    - libxml2
    - numpy
    - oneccl_bind_pt=1.13.200
    - psutil
    - python=3.9
    - pytorch==1.13.0=py39_xpu_1
    - requests
    - torchvision==0.14.1=py39_1


The following NEW packages will be INSTALLED:

  _libgcc_mutex      conda_channel/linux-64::_libgcc_mutex-0.1-main 
  _openmp_mutex      conda_channel/linux-64::_openmp_mutex-5.1-1_gnu 
  brotlipy           conda_channel/linux-64::brotlipy-0.7.0-py39h27cfd23_1003 
  bzip2              conda_channel/linux-64::bzip2-1.0.8-hb9a14ef_9 
  ca-certificates    conda_channel/linux-64::ca-certificates-2023.01.10-h06a4308_0 
  certifi            conda_channel/linux-64::certifi-2022.12.7-py39h06a4308_0 
  cffi               conda_channel/linux-64::cffi-1.15.1-py39h74dc2b5_0 
  charset-normalizer conda_channel/noarch::charset-normalizer-2.0.4-pyhd3eb1b0_0 
  cpuonly            conda_channel/noarch::cpuonly-1.0-0 
  cryptography       conda_channel/linux-64::cryptography-39.0.1-py39h9ce1e76_0 
  dpcpp-cpp-rt       conda_channel/linux-64::dpcpp-cpp-rt-2023.1.0-intel_46305 
  dpcpp_cpp_rt       conda_channel/linux-64::dpcpp_cpp_rt-2023.1.0-intel_46305 
  dpctl              conda_channel/linux-64::dpctl-0.14.2-py39ha23a21d_9 
  dpnp               conda_channel/linux-64::dpnp-0.11.1-py39h193dc20_12 
  flit-core          conda_channel/noarch::flit-core-3.6.0-pyhd3eb1b0_0 
  freetype           conda_channel/linux-64::freetype-2.12.1-hb267b13_2 
  icc_rt             conda_channel/linux-64::icc_rt-2023.1.0-intel_46305 
  idna               conda_channel/linux-64::idna-3.4-py39h06a4308_0 
  impi_rt            conda_channel/linux-64::impi_rt-2021.9.0-intel_43482 
  intel-cmplr-lib-rt conda_channel/linux-64::intel-cmplr-lib-rt-2023.1.0-intel_46305 
  intel-cmplr-lic-rt conda_channel/linux-64::intel-cmplr-lic-rt-2023.1.0-intel_46305 
  intel-extension-f~ conda_channel/linux-64::intel-extension-for-pytorch-1.13.120-py39_xpu_0 
  intel-opencl-rt    conda_channel/linux-64::intel-opencl-rt-2023.1.0-intel_46305 
  intel-openmp       conda_channel/linux-64::intel-openmp-2023.1.0-intel_46305 
  intelpython        conda_channel/linux-64::intelpython-2023.1.0-1 
  jpeg               conda_channel/linux-64::jpeg-9e-h7f8727e_2 
  lark-parser        conda_channel/noarch::lark-parser-0.9.0-pyh9f0ad1d_0 
  lcms2              conda_channel/linux-64::lcms2-2.12-h3be6417_1 
  lerc               conda_channel/linux-64::lerc-3.0-h295c915_1 
  libdeflate         conda_channel/linux-64::libdeflate-1.8-h7f8727e_6 
  libffi             conda_channel/linux-64::libffi-3.3-he6710b0_2 
  libgcc-ng          conda_channel/linux-64::libgcc-ng-11.2.0-h1234567_1 
  libgomp            conda_channel/linux-64::libgomp-11.2.0-h1234567_1 
  libpng             conda_channel/linux-64::libpng-1.6.39-h5eee18b_0 
  libstdcxx-ng       conda_channel/linux-64::libstdcxx-ng-11.2.0-h1234567_1 
  libtiff            conda_channel/linux-64::libtiff-4.5.0-hecacb30_1 
  libuv              conda_channel/linux-64::libuv-1.40.0-h7b6447c_2 
  libwebp            conda_channel/linux-64::libwebp-1.2.0-h89dd481nogiflib_1 
  libwebp-base       conda_channel/linux-64::libwebp-base-1.2.0-h7f98852_3 
  libxml2            conda_channel/linux-64::libxml2-2.10.3-h6b0140f_0 
  lz4-c              conda_channel/linux-64::lz4-c-1.9.4-h6a678d5_0 
  mkl                conda_channel/linux-64::mkl-2023.1.0-intel_46342 
  mkl-dpcpp          conda_channel/linux-64::mkl-dpcpp-2023.1.0-intel_46342 
  mkl-service        conda_channel/linux-64::mkl-service-2.4.0-py39h75d02e3_15 
  mkl_fft            conda_channel/linux-64::mkl_fft-1.3.5-py39ha5a625c_11 
  mkl_random         conda_channel/linux-64::mkl_random-1.2.2-py39h0b06908_51 
  mkl_umath          conda_channel/linux-64::mkl_umath-0.1.1-py39h450dca2_61 
  mpi4py             conda_channel/linux-64::mpi4py-3.1.4-py39h618b5fa_0 
  ncurses            conda_channel/linux-64::ncurses-6.4-h6a678d5_0 
  numpy              conda_channel/linux-64::numpy-1.23.5-py39h52df89b_7 
  numpy-base         conda_channel/linux-64::numpy-base-1.23.5-py39ha03f565_7 
  oneccl_bind_pt     conda_channel/linux-64::oneccl_bind_pt-1.13.200-py39_gpu_0 
  openssl            conda_channel/linux-64::openssl-1.1.1t-h7f8727e_0 
  pillow             conda_channel/linux-64::pillow-9.3.0-py39hace64e9_2 
  pip                conda_channel/linux-64::pip-23.0.1-py39h06a4308_0 
  psutil             conda_channel/linux-64::psutil-5.9.0-py39h5eee18b_1 
  pycparser          conda_channel/noarch::pycparser-2.21-pyhd3eb1b0_0 
  pyopenssl          conda_channel/linux-64::pyopenssl-23.0.0-py39h06a4308_0 
  pysocks            conda_channel/linux-64::pysocks-1.7.1-py39h06a4308_0 
  python             conda_channel/linux-64::python-3.9.16-h2722d68_1 
  pytorch            conda_channel/linux-64::pytorch-1.13.0-py39_xpu_1 
  readline           conda_channel/linux-64::readline-8.2-h5eee18b_0 
  requests           conda_channel/linux-64::requests-2.28.1-py39h06a4308_1 
  setuptools         conda_channel/linux-64::setuptools-65.6.3-py39h06a4308_0 
  six                conda_channel/noarch::six-1.16.0-pyhd3eb1b0_1 
  sqlite             conda_channel/linux-64::sqlite-3.41.1-h5eee18b_0 
  tbb                conda_channel/linux-64::tbb-2021.9.0-intel_43484 
  tbb4py             conda_channel/linux-64::tbb4py-2021.9.0-py39_intel_43484 
  tk                 conda_channel/linux-64::tk-8.6.12-h1ccaba5_0 
  torchvision        conda_channel/linux-64::torchvision-0.14.1-py39_1 
  typing_extensions  conda_channel/linux-64::typing_extensions-4.4.0-py39h06a4308_0 
  urllib3            conda_channel/linux-64::urllib3-1.26.14-py39h06a4308_0 
  wheel              conda_channel/linux-64::wheel-0.38.4-py39h06a4308_0 
  xz                 conda_channel/linux-64::xz-5.2.10-h5eee18b_1 
  zlib               conda_channel/linux-64::zlib-1.2.13-h5eee18b_0 
  zstd               conda_channel/linux-64::zstd-1.5.5-hc292b87_0 


Preparing transaction: ...working... done
Verifying transaction: ...working... done
Executing transaction: ...working... done
chmod: cannot access '../../intelpython/python3.9/pkgs/olefile*': No such file or directory
ONEAPI_PATH:/opt/intel/oneapi/neural-compressor/2.1.0/../..
Framework parameter is set to: pytorch
Neural Compressor will be installed in pytorch environment
Installing Neural Compressor in pytorch environment
Collecting package metadata (current_repodata.json): ...working... done
Solving environment: ...working... done

## Package Plan ##

  environment location: /opt/intel/oneapi/intelpython/latest/envs/pytorch

  added / updated specs:
    - neural-compressor-full=2.1


The following NEW packages will be INSTALLED:

  alembic            conda_channel/noarch::alembic-1.7.7-pyhd8ed1ab_0 
  bidict             conda_channel/noarch::bidict-0.21.2-pyhd3eb1b0_0 
  brotli             conda_channel/linux-64::brotli-1.0.9-hf484d3e_2 
  c-ares             conda_channel/linux-64::c-ares-1.18.1-h7f8727e_0 
  click              conda_channel/linux-64::click-8.0.4-py39h06a4308_2 
  contextlib2        conda_channel/noarch::contextlib2-0.5.5-py_2 
  cycler             conda_channel/noarch::cycler-0.11.0-pyhd3eb1b0_0 
  cython             conda_channel/linux-64::cython-0.29.33-py39ha718fea_0 
  dataclasses        conda_channel/linux-64::dataclasses-0.8-pyh6d0b6a4_7 
  deprecated         conda_channel/linux-64::deprecated-1.2.13-py39h06a4308_0 
  flask              conda_channel/noarch::flask-1.1.2-pyhd3eb1b0_0 
  flask-cors         conda_channel/noarch::flask-cors-3.0.10-pyhd3eb1b0_0 
  flask-socketio     conda_channel/noarch::flask-socketio-5.1.0-pyhd3eb1b0_0 
  fonttools          conda_channel/noarch::fonttools-4.25.0-pyhd3eb1b0_0 
  fortran_rt         conda_channel/linux-64::fortran_rt-2023.1.0-intel_46305 
  gevent             conda_channel/linux-64::gevent-21.8.0-py39h7f8727e_1 
  gevent-websocket   conda_channel/linux-64::gevent-websocket-0.10.1-py39h06a4308_1 
  greenlet           conda_channel/linux-64::greenlet-1.1.1-py39h295c915_0 
  importlib-metadata conda_channel/linux-64::importlib-metadata-6.0.0-py39h06a4308_0 
  importlib_resourc~ conda_channel/noarch::importlib_resources-5.2.0-pyhd3eb1b0_1 
  intel-fortran-rt   conda_channel/linux-64::intel-fortran-rt-2023.1.0-intel_46305 
  itsdangerous       conda_channel/noarch::itsdangerous-2.0.1-pyhd3eb1b0_0 
  jinja2             conda_channel/noarch::jinja2-3.0.3-pyhd3eb1b0_0 
  joblib             conda_channel/noarch::joblib-1.2.0-pyh3f38642_0 
  kiwisolver         conda_channel/linux-64::kiwisolver-1.4.2-py39h295c915_0 
  libev              conda_channel/linux-64::libev-4.33-h7f8727e_2 
  mako               conda_channel/linux-64::mako-1.2.3-py39h06a4308_0 
  markupsafe         conda_channel/linux-64::markupsafe-2.0.1-py39h27cfd23_0 
  matplotlib-base    conda_channel/linux-64::matplotlib-base-3.4.3-py39hbbc1b5f_0 
  munkres            conda_channel/noarch::munkres-1.1.4-py_0 
  neural-compressor~ conda_channel/noarch::neural-compressor-full-2.1-pyhdless_0 
  opencv-python-hea~ conda_channel/linux-64::opencv-python-headless-4.5.5.64-py39_2 
  packaging          conda_channel/linux-64::packaging-22.0-py39h06a4308_0 
  pandas             conda_channel/linux-64::pandas-1.5.3-py39h6cd0baa_0 
  prettytable        conda_channel/noarch::prettytable-0.7.2-py_3 
  py-cpuinfo         conda_channel/noarch::py-cpuinfo-8.0.0-pyhd3eb1b0_0 
  pycocotools        conda_channel/linux-64::pycocotools-2.0.2-py39hce5d2b2_2 
  pyparsing          conda_channel/linux-64::pyparsing-3.0.9-py39h06a4308_0 
  python-dateutil    conda_channel/noarch::python-dateutil-2.8.2-pyhd3eb1b0_0 
  python-engineio    conda_channel/noarch::python-engineio-4.1.0-pyhd3eb1b0_0 
  python-socketio    conda_channel/noarch::python-socketio-5.3.0-pyhd3eb1b0_0 
  python_abi         conda_channel/linux-64::python_abi-3.9-2_cp39 
  pytz               conda_channel/linux-64::pytz-2022.7-py39h06a4308_0 
  pyyaml             conda_channel/linux-64::pyyaml-6.0-py39h5eee18b_1 
  schema             conda_channel/noarch::schema-0.7.4-pyh44b312d_0 
  scikit-learn       conda_channel/linux-64::scikit-learn-1.2.1-py39h6a678d5_0 
  scipy              conda_channel/linux-64::scipy-1.7.3-py39h4ca98da_8 
  sqlalchemy         conda_channel/linux-64::sqlalchemy-1.4.27-py39h7f8727e_0 
  threadpoolctl      conda_channel/noarch::threadpoolctl-2.2.0-pyh0d69192_0 
  tornado            conda_channel/linux-64::tornado-6.1-py39h27cfd23_0 
  werkzeug           conda_channel/noarch::werkzeug-2.0.2-pyhd3eb1b0_3 
  wrapt              conda_channel/linux-64::wrapt-1.14.1-py39h5eee18b_1 
  yaml               conda_channel/linux-64::yaml-0.2.5-h7b6447c_0 
  zipp               conda_channel/linux-64::zipp-3.11.0-py39h06a4308_0 
  zope.event         conda_channel/linux-64::zope.event-4.5.0-py39h06a4308_0 
  zope.interface     conda_channel/linux-64::zope.interface-5.4.0-py39h3811e60_0 


Preparing transaction: ...working... done
Verifying transaction: ...working... done
Executing transaction: ...working... 

    Installed package of scikit-learn can be accelerated using scikit-learn-intelex.
    More details are available here: https://intel.github.io/scikit-learn-intelex

    For example:

        $ conda install scikit-learn-intelex
        $ python -m sklearnex my_application.py

    

done
/opt/intel/oneapi/pytorch/1.13.10.2/../../neural-compressor/latest/install_neural-compressor.sh: 53: /opt/intel/oneapi/in
telpython/latest/envs/pytorch/etc/conda/deactivate.d/mpivars.deactivate.sh: [[: not found
/opt/intel/oneapi/pytorch/1.13.10.2/../../neural-compressor/latest/install_neural-compressor.sh: 3: /opt/intel/oneapi/int
elpython/latest/envs/pytorch/etc/conda/deactivate.d/deactivate-opencl-rt.sh: [[: not found
/opt/intel/oneapi/pytorch/1.13.10.2/../../neural-compressor/latest/install_neural-compressor.sh: 10: /opt/intel/oneapi/in
telpython/latest/envs/pytorch/etc/conda/deactivate.d/deactivate-opencl-rt.sh: [[: not found
0
Success to install neural-compressor in pytorch.
ONEAPI_PATH:/opt/intel/oneapi/neural-compressor/2.1.0/../..
Framework parameter is set to: pytorch-gpu
Neural Compressor will be installed in pytorch-gpu environment
Installing Neural Compressor in pytorch-gpu environment
/opt/intel/oneapi/pytorch/1.13.10.2/../../neural-compressor/latest/install_neural-compressor.sh: 24: /opt/intel/oneapi/in
telpython/latest/envs/pytorch-gpu/etc/conda/activate.d/activate-libstdcxx-patch.sh: [[: not found
Collecting package metadata (current_repodata.json): ...working... done
Solving environment: ...working... done

## Package Plan ##

  environment location: /opt/intel/oneapi/intelpython/latest/envs/pytorch-gpu

  added / updated specs:
    - neural-compressor-full=2.1


The following NEW packages will be INSTALLED:

  alembic            conda_channel/noarch::alembic-1.7.7-pyhd8ed1ab_0 
  bidict             conda_channel/noarch::bidict-0.21.2-pyhd3eb1b0_0 
  brotli             conda_channel/linux-64::brotli-1.0.9-hf484d3e_2 
  c-ares             conda_channel/linux-64::c-ares-1.18.1-h7f8727e_0 
  click              conda_channel/linux-64::click-8.0.4-py39h06a4308_2 
  contextlib2        conda_channel/noarch::contextlib2-0.5.5-py_2 
  cycler             conda_channel/noarch::cycler-0.11.0-pyhd3eb1b0_0 
  cython             conda_channel/linux-64::cython-0.29.33-py39ha718fea_0 
  dataclasses        conda_channel/linux-64::dataclasses-0.8-pyh6d0b6a4_7 
  deprecated         conda_channel/linux-64::deprecated-1.2.13-py39h06a4308_0 
  flask              conda_channel/noarch::flask-1.1.2-pyhd3eb1b0_0 
  flask-cors         conda_channel/noarch::flask-cors-3.0.10-pyhd3eb1b0_0 
  flask-socketio     conda_channel/noarch::flask-socketio-5.1.0-pyhd3eb1b0_0 
  fonttools          conda_channel/noarch::fonttools-4.25.0-pyhd3eb1b0_0 
  fortran_rt         conda_channel/linux-64::fortran_rt-2023.1.0-intel_46305 
  gevent             conda_channel/linux-64::gevent-21.8.0-py39h7f8727e_1 
  gevent-websocket   conda_channel/linux-64::gevent-websocket-0.10.1-py39h06a4308_1 
  greenlet           conda_channel/linux-64::greenlet-1.1.1-py39h295c915_0 
  importlib-metadata conda_channel/linux-64::importlib-metadata-6.0.0-py39h06a4308_0 
  importlib_resourc~ conda_channel/noarch::importlib_resources-5.2.0-pyhd3eb1b0_1 
  intel-fortran-rt   conda_channel/linux-64::intel-fortran-rt-2023.1.0-intel_46305 
  itsdangerous       conda_channel/noarch::itsdangerous-2.0.1-pyhd3eb1b0_0 
  jinja2             conda_channel/noarch::jinja2-3.0.3-pyhd3eb1b0_0 
  joblib             conda_channel/noarch::joblib-1.2.0-pyh3f38642_0 
  kiwisolver         conda_channel/linux-64::kiwisolver-1.4.2-py39h295c915_0 
  libev              conda_channel/linux-64::libev-4.33-h7f8727e_2 
  mako               conda_channel/linux-64::mako-1.2.3-py39h06a4308_0 
  markupsafe         conda_channel/linux-64::markupsafe-2.0.1-py39h27cfd23_0 
  matplotlib-base    conda_channel/linux-64::matplotlib-base-3.4.3-py39hbbc1b5f_0 
  munkres            conda_channel/noarch::munkres-1.1.4-py_0 
  neural-compressor~ conda_channel/noarch::neural-compressor-full-2.1-pyhdless_0 
  opencv-python-hea~ conda_channel/linux-64::opencv-python-headless-4.5.5.64-py39_2 
  packaging          conda_channel/linux-64::packaging-22.0-py39h06a4308_0 
  pandas             conda_channel/linux-64::pandas-1.5.3-py39h6cd0baa_0 
  prettytable        conda_channel/noarch::prettytable-0.7.2-py_3 
  py-cpuinfo         conda_channel/noarch::py-cpuinfo-8.0.0-pyhd3eb1b0_0 
  pycocotools        conda_channel/linux-64::pycocotools-2.0.2-py39hce5d2b2_2 
  pyparsing          conda_channel/linux-64::pyparsing-3.0.9-py39h06a4308_0 
  python-dateutil    conda_channel/noarch::python-dateutil-2.8.2-pyhd3eb1b0_0 
  python-engineio    conda_channel/noarch::python-engineio-4.1.0-pyhd3eb1b0_0 
  python-socketio    conda_channel/noarch::python-socketio-5.3.0-pyhd3eb1b0_0 
  python_abi         conda_channel/linux-64::python_abi-3.9-2_cp39 
  pytz               conda_channel/linux-64::pytz-2022.7-py39h06a4308_0 
  pyyaml             conda_channel/linux-64::pyyaml-6.0-py39h5eee18b_1 
  schema             conda_channel/noarch::schema-0.7.4-pyh44b312d_0 
  scikit-learn       conda_channel/linux-64::scikit-learn-1.2.1-py39h6a678d5_0 
  scipy              conda_channel/linux-64::scipy-1.7.3-py39h4ca98da_8 
  sqlalchemy         conda_channel/linux-64::sqlalchemy-1.4.27-py39h7f8727e_0 
  threadpoolctl      conda_channel/noarch::threadpoolctl-2.2.0-pyh0d69192_0 
  tornado            conda_channel/linux-64::tornado-6.1-py39h27cfd23_0 
  werkzeug           conda_channel/noarch::werkzeug-2.0.2-pyhd3eb1b0_3 
  wrapt              conda_channel/linux-64::wrapt-1.14.1-py39h5eee18b_1 
  yaml               conda_channel/linux-64::yaml-0.2.5-h7b6447c_0 
  zipp               conda_channel/linux-64::zipp-3.11.0-py39h06a4308_0 
  zope.event         conda_channel/linux-64::zope.event-4.5.0-py39h06a4308_0 
  zope.interface     conda_channel/linux-64::zope.interface-5.4.0-py39h3811e60_0 


Preparing transaction: ...working... done
Verifying transaction: ...working... done
Executing transaction: ...working... 

    Installed package of scikit-learn can be accelerated using scikit-learn-intelex.
    More details are available here: https://intel.github.io/scikit-learn-intelex

    For example:

        $ conda install scikit-learn-intelex
        $ python -m sklearnex my_application.py

    

done
/opt/intel/oneapi/pytorch/1.13.10.2/../../neural-compressor/latest/install_neural-compressor.sh: 53: /opt/intel/oneapi/in
telpython/latest/envs/pytorch-gpu/etc/conda/deactivate.d/mpivars.deactivate.sh: [[: not found
/opt/intel/oneapi/pytorch/1.13.10.2/../../neural-compressor/latest/install_neural-compressor.sh: 3: /opt/intel/oneapi/int
elpython/latest/envs/pytorch-gpu/etc/conda/deactivate.d/deactivate-opencl-rt.sh: [[: not found
/opt/intel/oneapi/pytorch/1.13.10.2/../../neural-compressor/latest/install_neural-compressor.sh: 10: /opt/intel/oneapi/in
telpython/latest/envs/pytorch-gpu/etc/conda/deactivate.d/deactivate-opencl-rt.sh: [[: not found
/opt/intel/oneapi/pytorch/1.13.10.2/../../neural-compressor/latest/install_neural-compressor.sh: 24: /opt/intel/oneapi/in
telpython/latest/envs/pytorch-gpu/etc/conda/deactivate.d/deactivate-libstdcxx-patch.sh: [[: not found
/opt/intel/oneapi/pytorch/1.13.10.2/../../neural-compressor/latest/install_neural-compressor.sh: 24: /opt/intel/oneapi/in
telpython/latest/envs/pytorch-gpu/etc/conda/activate.d/activate-libstdcxx-patch.sh: [[: not found
0
Success to install neural-compressor in pytorch-gpu.
/
0 Kudos
3 Replies
ArpanB_Intel
Moderator
495 Views

Hi Will, we have informed our internal team regarding this issue. We will share an update soon.


0 Kudos
ArpanB_Intel
Moderator
445 Views

Will, we do not support usage of non-native package managers like yum on Ubuntu or apt on RHEL, only the native ones. We have checked native package managers on all the supported platforms and they are fine:

 

  • ubuntu:22.04 - apt - OK
  • ubuntu:20.04 - apt - OK
  • debian:9 - apt - OK
  • debian:10 - apt - OK
  • debian:11 - apt - OK
  • redhat/ubi8 - dnf - OK
  • redhat/ubi9 - dnf - OK
  • rockylinux:8 - dnf - OK
  • rockylinux:9 - dnf - OK
  • fedora:36 - dnf - OK
  • fedora:37 - dnf - OK
  • amazonlinux:2 - yum - OK
  • amazonlinux:2022 - dnf - OK
  • registry.suse.com/suse/sle15:15.3 - zypper - OK
  • registry.suse.com/suse/sle15:15.4 - zypper - OK

0 Kudos
ArpanB_Intel
Moderator
436 Views

Will, unfortunately we were unable to hear back from you.



If you have any further query, please post a new question as this thread will no longer be monitored by Intel®.


0 Kudos
Reply